<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
	<div th:fragment="tasks">
		<div class="ui three column grid" >
			<div class="row">
				<div class="column">
					<p>
						<i class="battery empty icon"></i>
						<strong th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACKLOG}}"></strong>
					</p>
					<div class="ui cards">
						<div class="card" th:each="workitem : ${workitems}">
							<div class="content">
								<div class="header">
									<a th:text="${workitem.name}"
										th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_UPDATE} + '/' + ${workitem.id}}"></a>
								</div>
								<div class="meta" th:text="${workitem.number}"></div>
								<div class="description">
									<span th:utext="${workitem.description}"></span>
								</div>
							</div>
							<div class="extra content">
								<div class="left floated author">
									<img class="ui avatar image mini"
										th:src="@{${workitem.createdBy.avatar.image}}" alt="avatar">
									<span th:text="${workitem.createdBy.name}"></span>
								</div>
								<div class="right floated author" th:unless="${sprint.startingDay}">
									<a th:onclick="'assignTaskToSprint(' + ${sprint.id} + ',' + ${workitem.id} + ');'">
										<i class="unlock icon"></i>
									</a>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="column">
					<p>
						<i class="battery half icon"></i> 
						<strong>Sprint Tasks</strong>
					</p>
					<div class="ui cards">
						<div class="card" th:each="task : ${sprint.tasks}"
							th:unless="${task.status.finalStatus}">
							<div class="content">
								<div class="header">
									<a th:text="${task.name}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_UPDATE} + '/' + ${task.id}}"></a>
								</div>
								<div class="meta" th:text="${task.number}"></div>
								<div class="description">
									<span th:utext="${task.description}"></span>
								</div>
							</div>
							<div class="extra content">
								<div class="left floated author">
									<img class="ui avatar image mini" th:src="@{${task.assignedTo.avatar.image}}" alt="avatar">
									<span th:text="${task.assignedTo.name}"></span>
								</div>
								<div class="right floated author" th:unless="${sprint.startingDay}">
									<a th:onclick="'removeTaskFromSprint(' + ${sprint.id} + ',' + ${task.id} + ');'">
										<i class="undo icon"></i>
									</a>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="column">
					<p>
						<i class="battery full icon"></i> 
						<strong th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DONE}}">Done</strong>
					</p>
					<div class="ui cards">
						<div class="card" th:each="task : ${sprint.tasks}"
							th:if="${task.status.finalStatus}">
	
							<div class="content">
								<div class="header">
									<a th:text="${task.name}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_UPDATE} + '/' + ${task.id}}"></a>
								</div>
								<div class="meta" th:text="${task.number}"></div>
								<div class="description">
									<span th:utext="${task.description}"></span>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
			                                                          		icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
			                                                          		icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SPRINTS},
			                                                          		)" />
	</div>
</body>
</html>